<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('_accident_251_points', function (Blueprint $table) {
            $table->foreign(['accident_point_id'], 'accident_251_points_accident_point_id_foreign')->references(['id'])->on('accident_points')->onUpdate('cascade')->onDelete('set null');
            $table->foreign(['city_id'], 'accident_251_points_city_id_foreign')->references(['id'])->on('cities')->onUpdate('cascade')->onDelete('set null');
            $table->foreign(['province_id'], 'accident_251_points_province_id_foreign')->references(['id'])->on('provinces')->onUpdate('cascade')->onDelete('set null');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('_accident_251_points', function (Blueprint $table) {
            $table->dropForeign('accident_251_points_accident_point_id_foreign');
            $table->dropForeign('accident_251_points_city_id_foreign');
            $table->dropForeign('accident_251_points_province_id_foreign');
        });
    }
};
